// AKM by Christoph - from White Socks Entertainment (flashpoint.vgry.net)

// some basic defines
#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2

#define WeaponNoSlot				0// dummy weapons
#define WeaponSlotPrimary		1// primary weapons
#define WeaponSlotSecondary	16// secondary weapons
#define WeaponSlotItem			256// items
#define WeaponSlotBinocular	4096// binocular
#define WeaponHardMounted		65536

class CfgPatches
{
	class CRSAKM
	{
		units[] = {};
		weapons[] = {CRSAKM};
		requiredVersion = 1.30;
	};
	class CRSAKMGL
	{
		units[] = {};
		weapons[] = {CRSAKMGL};
		requiredVersion = 1.30;
	};
};

class CfgAmmo
{
	class default {};
	class BulletSingle : default {};
	class BulletSingleG : BulletSingle {};
	class CRSAKMa	: BulletSingleG
	{
		hit=12;indirectHit=0.100000;indirectHitRange=0.100000;
	};

	class BulletBurst : BulletSingle {};
	class BulletBurstG : BulletBurst {};
	class CRSAKMba	: BulletBurstG
	{
		hit=12;indirectHit=0.100000;indirectHitRange=0.100000;
	};

	class BulletFullAuto : BulletBurst {};
	class BulletFullAutoG : BulletFullAuto {};
	class CRSAKMfa	: BulletFullAutoG
	{
		hit=12;indirectHit=0.100000;indirectHitRange=0.100000;
	};
};

class CfgWeapons
{
	class default  {};
	class MGun : default {};
	class Riffle : MGun {};
	class AK47 : Riffle {};
	class GrenadeLauncher: Default{};
	class AK47GrenadeLauncher:Default {};

	class CRSAKMMAG : AK47
	{
		scopeWeapon=2;
		scopeMagazine=2;
		model="\CRSAKM\AKM";
		modelOptics="optika_ak47";
		picture="\CRSAKM\m_akm.paa";
		optics=1;
		opticsFlare=0;
		opticsZoomMin=0.350000;
		opticsZoomMax=0.350000;
		displayName="AKM";
		displayNameMagazine="AKM magazine";
		shortNameMagazine="AKM";
		drySound[]={"weapons\AK74Dry",0.010000,1};
		magazines[]={"CRSAKMAG"};
		modes[]={"Single","Burst","FullAuto"};
		class Single
		{
			ammo="CRSAKMa";
			multiplier=1;
			burst=1;
			displayName="AKM Semi";
			dispersion=0.000450;
			sound[]={"\CRSAKM\AKMsemi.wav",1.000000,1};
			soundContinuous=0;
			reloadTime=0.100000;
			ffCount=1;
			recoil="riffleSingle";
			autoFire=0;
			aiRateOfFire=5.000000;
			aiRateOfFireDistance=500;
			useAction=0;
			useActionTitle="";
		};
		class Burst
		{
			ammo="CRSAKMba";
			multiplier=1;
			burst=3;
			displayName="AKM Burst";
			dispersion=0.000900;
			sound[]={"\CRSAKM\AKMburst.wav",1.000000,1};
			soundContinuous=0;
			reloadTime=0.100000;
			ffCount=3;
			recoil="riffleBurst3";
			autoFire=0;
			aiRateOfFire=5.000000;
			aiRateOfFireDistance=500;
			useAction=0;
			useActionTitle="";
		};
		class FullAuto
		{
			ammo="CRSAKMfa";
			multiplier=1;
			burst=1;
			displayName="AKM Auto";
			dispersion=0.001800;
			sound[]={"\CRSAKM\AKMsemi.wav",1.000000,1};
			soundContinuous=0;
			reloadTime=0.100000;
			ffCount=30;
			recoil="riffleBurst3";
			autoFire=1;
			aiRateOfFire=5.000000;
			aiRateOfFireDistance=500;
			useAction=0;
			useActionTitle="";
		};
	};
	class CRSAKM : AK47
	{
		scopeWeapon=2;
		scopeMagazine=0;
		weaponType=1;
		displayName="AKM";
		model="\CRSAKM\AKM";
		picture="\CRSAKM\w_akm.paa";
		muzzles[] = {"CRSAKMMuzzle"};
		class CRSAKMMuzzle : CRSAKMMAG
		{
			magazines[] = {CRSAKMMAG};
		};
	};

	class CRSAKMGL : AK47GrenadeLauncher
	{
		scopeWeapon=public;
		scopeMagazine=private;
		weaponType=1;
		displayName="AKM + PALLAD";
		model="\CRSAKM\AKMGL";
		picture="\CRSAKM\w_akmgl.paa";
		muzzles[] = {"CRSAKMMuzzle","CRSAKMGLMuzzle"};
			class CRSAKMMuzzle : CRSAKMMAG
			{
			magazines[] = {CRSAKMMAG};
			}
			class CRSAKMGLMuzzle : GrenadeLauncher
			{
			modelOptics="optika_ak47_granatomet";
			optics=1;
			opticsFlare=0;
			opticsZoomMin=0.350000;
			opticsZoomMax=0.350000;
			magazines[] = {"GrenadeLauncher","Flare","FlareGreen","FlareRed","FlareYellow"};
			}
	};
};

class CfgVehicles
{
	class All{};
	class AllVehicles:All{};
	class Land:AllVehicles{};
	class Man:Land{};
	class Soldier:Man{};
	class SoldierGB:Soldier{};
	class SoldierGG:SoldierGB{};
	
class CRSSOLDIERAKM:SoldierGB{
	displayName="Soldier (AKM)";
	weapons[]={CRSAKM,"Throw","Put"};
	magazines[]={CRSAKMMAG,CRSAKMMAG,CRSAKMMAG,CRSAKMMAG,CRSAKMMAG,CRSAKMMAG,Handgrenade,Handgrenade,Handgrenade,Handgrenade};
	};

class CRSSOLDIERAKMGL:SoldierGG{
	displayName="Soldier (AKM + PALLAD)";
	weapons[]={CRSAKMGL,"Throw","Put"};
	magazines[]={CRSAKMMAG,CRSAKMMAG,CRSAKMMAG,CRSAKMMAG,GrenadeLauncher,GrenadeLauncher,GrenadeLauncher};
	};


	
};

class CfgNonAIVehicles
{
	class ProxyWeapon {};
	class ProxyCRSAKM: ProxyWeapon {};
	class ProxyCRSAKMGL: ProxyWeapon {};
};